petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoLineSearchSetFromOptions

Sets various TaoLineSearch parameters from user options.

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchSetFromOptions(TaoLineSearch ls)

Collective on TaoLineSearch Many br

### Input Paremeter

ls - the TaoLineSearch context Many br

### Options Database Keys

| -tao_ls_type <type> | - The algorithm that TAO uses (more-thuente, gpcg, unit) Many br
| -tao_ls_ftol <tol> | - tolerance for sufficient decrease Many br
| -tao_ls_gtol <tol> | - tolerance for curvature condition Many br
| -tao_ls_rtol <tol> | - relative tolerance for acceptable step Many br
| -tao_ls_stepmin <step> | - minimum steplength allowed Many br
| -tao_ls_stepmax <step> | - maximum steplength allowed Many br
| -tao_ls_max_funcs <n> | - maximum number of function evaluations allowed Many br
| -tao_ls_view | - display line-search results to standard output Many br

Many br

Level:beginner
Location:src/tao/linesearch/interface/taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages